/*******************************************************************************
 * Copyright (c) 2003, 2004 IBM Corporation and others. All rights reserved.
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v1.0 which accompanies this distribution,
 * and is available at http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: IBM Corporation - initial API and implementation
 ******************************************************************************/
/*
 * Created on May 25, 2004
 * 
 * TODO To change the template for this generated file go to Window -
 * Preferences - Java - Code Style - Code Templates
 */
package org.eclipse.stp.core.internal.infrastructure.emfworkbench;

import java.text.MessageFormat;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * @author vijayb
 * 
 * TODO To change the template for this generated type comment go to Window -
 * Preferences - Java - Code Style - Code Templates
 */
public class EMFWorkbenchEditResourceHandler {

   private static ResourceBundle fgResourceBundle;

   /**
    * Returns the resource bundle used by all classes in this Project
    */
   public static ResourceBundle getResourceBundle() {
      try {
         return ResourceBundle.getBundle("emfworkbenchedit"); //$NON-NLS-1$
      } catch (MissingResourceException e) {
         // does nothing - this method will return null and
         // getString(String, String) will return the key
         // it was called with
      }
      return null;
   }

   public static String getString(String key) {
      if (fgResourceBundle == null) {
         fgResourceBundle = getResourceBundle();
      }

      if (fgResourceBundle != null) {
         try {
            return fgResourceBundle.getString(key);
         } catch (MissingResourceException e) {
            return "!" + key + "!"; //$NON-NLS-2$//$NON-NLS-1$
         }
      }
      return "!" + key + "!"; //$NON-NLS-2$//$NON-NLS-1$ 
   }

   public static String getString(String key, Object[] args) {

      try {
         return MessageFormat.format(getString(key), args);
      } catch (IllegalArgumentException e) {
         return getString(key);
      }

   }

   public static String getString(String key, Object[] args, int x) {

      return getString(key);
   }
}
